package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.xsky.FileGatewayGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface FileGatewayGroupProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(FileGatewayGroupModel fileGatewayGroupModel);

    public BocloudResult remove(String uuid);

    public BocloudResult addFSGateways(FileGatewayGroupModel fileGatewayGroupModel);

    public BocloudResult removeFSGateways(FileGatewayGroupModel fileGatewayGroupModel);

    public BocloudResult modify(FileGatewayGroupModel fileGatewayGroupModel);
}
